• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Codeigniter 4 Setup On Bitnami

#1
I have got a question.

I can set up codeigniter 3 on bitnami fine no issues.

I did the usual setup with codeigniter 4

PHP Code:
<Directory "C:\Bitnami\wampstack-5.6.22-0/frameworks/codeigniter4/public/">
 
   Options +MultiViews
    AllowOverride None
    
<IfVersion 2.3 >
 
       Order allow,deny
        Allow from all
    
</IfVersion>
 
   <IfVersion >= 2.3>
 
       Require all granted
    
</IfVersion>
 
   
    



</Directory

PHP Code:
Alias /codeigniter4"C:\Bitnami\wampstack-5.6.22-0/frameworks/codeigniter4/public/"
Alias /codeigniter4 "C:\Bitnami\wampstack-5.6.22-0/frameworks/codeigniter4/public"

Include "C:\Bitnami\wampstack-5.6.22-0/frameworks/codeigniter4/conf/httpd-app.conf" 

PHP Code:
# Bitnami applications installed in a prefix URL
Include "C:/Bitnami/wampstack-5.6.22-0/frameworks/symfony/conf/httpd-prefix.conf"
Include "C:/Bitnami/wampstack-5.6.22-0/frameworks/codeigniter/conf/httpd-prefix.conf"
Include "C:/Bitnami/wampstack-5.6.22-0/frameworks/codeigniter4/conf/httpd-prefix.conf"
Include "C:/Bitnami/wampstack-5.6.22-0/frameworks/laravel/conf/httpd-prefix.conf"
Include "C:/Bitnami/wampstack-5.6.22-0/apps/phpmyadmin/conf/httpd-prefix.conf" 


Still shows up with white page when http://localhost/codeigniter4 any suggestions?
There's only one rule - please don't tell anyone to go and read the manual.  Sometimes the manual just SUCKS!
Reply

#2
You need PHP7, not 5.6.22.
You need to point your server to the public folder.

You asked this in the announcement thread already ...http://forum.codeigniter.com/thread-65544-post-333812.html#pid333812
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2019 MyBB Group.